package com.bocloud.cmp.model;

/**
 * OpenStack负载均衡器成员业务类
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年8月29日
 */
public class LbMemberModel {
	private String memberUuid;// 成员ID
	private String tenantUuid;// 租户ID
	private String subnetUuid;// 子网ID
	private String address;// 地址
	private Boolean adminStateUp;// 管理员状态
	private Integer port;// 协议端口
	private Integer weight;// 权重
	private String poolUuid;// 成员池UUID
	private String lbUuid;

	private String type;// 类型
	private String name;// 名称

	/**
	 * @return the memberUuid
	 */
	public String getMemberUuid() {
		return memberUuid;
	}

	/**
	 * @param memberUuid the memberUuid to set
	 */
	public void setMemberUuid(String memberUuid) {
		this.memberUuid = memberUuid;
	}

	/**
	 * @return the tenantUuid
	 */
	public String getTenantUuid() {
		return tenantUuid;
	}

	/**
	 * @param tenantUuid the tenantUuid to set
	 */
	public void setTenantUuid(String tenantUuid) {
		this.tenantUuid = tenantUuid;
	}

	/**
	 * @return the subnetUuid
	 */
	public String getSubnetUuid() {
		return subnetUuid;
	}

	/**
	 * @param subnetUuid the subnetUuid to set
	 */
	public void setSubnetUuid(String subnetUuid) {
		this.subnetUuid = subnetUuid;
	}

	/**
	 * @return the address
	 */
	public String getAddress() {
		return address;
	}

	/**
	 * @param address the address to set
	 */
	public void setAddress(String address) {
		this.address = address;
	}

	/**
	 * @return the adminStateUp
	 */
	public Boolean getAdminStateUp() {
		return adminStateUp;
	}

	/**
	 * @param adminStateUp the adminStateUp to set
	 */
	public void setAdminStateUp(Boolean adminStateUp) {
		this.adminStateUp = adminStateUp;
	}

	/**
	 * @return the port
	 */
	public Integer getPort() {
		return port;
	}

	/**
	 * @param port the port to set
	 */
	public void setPort(Integer port) {
		this.port = port;
	}

	/**
	 * @return the weight
	 */
	public Integer getWeight() {
		return weight;
	}

	/**
	 * @param weight the weight to set
	 */
	public void setWeight(Integer weight) {
		this.weight = weight;
	}

	/**
	 * @return the poolUuid
	 */
	public String getPoolUuid() {
		return poolUuid;
	}

	/**
	 * @param poolUuid the poolUuid to set
	 */
	public void setPoolUuid(String poolUuid) {
		this.poolUuid = poolUuid;
	}

	/**
	 * @return the lbUuid
	 */
	public String getLbUuid() {
		return lbUuid;
	}

	/**
	 * @param lbUuid the lbUuid to set
	 */
	public void setLbUuid(String lbUuid) {
		this.lbUuid = lbUuid;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
